<p-toast></p-toast>

<div class="card">
  <p-table [value]="products1" dataKey="id" responsiveLayout="scroll">
    <ng-template pTemplate="header">
      <tr>
        <th *ngFor="let col of columns" style="font-size:12px;">{{col}}</th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-product>
      <tr>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.code">
            </ng-template>
            <ng-template pTemplate="output">
              {{product.code}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.name" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.name}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <p-dropdown [options]="statuses" [(ngModel)]="product.inventoryStatus.value" [style]="{'width':'100%'}"></p-dropdown>
          </ng-template>
            <ng-template pTemplate="output">
              {{product.inventoryStatus.label}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.price">
            </ng-template>
            <ng-template pTemplate="output">
              {{product.price | currency: 'USD'}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.intervalTo" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.intervalTo}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.calcType" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.calcType}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.calcUnit" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.calcUnit}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.price" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.price}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.currency" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.currency}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.zone" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.zone}}
            </ng-template>
          </p-cellEditor>
        </td>
        <td pEditableColumn>
          <p-cellEditor>
            <ng-template pTemplate="input">
              <input pInputText type="text" [(ngModel)]="product.text" required>
            </ng-template>
            <ng-template pTemplate="output">
              {{product.text}}
            </ng-template>
          </p-cellEditor>
        </td>
      </tr>
    </ng-template>
  </p-table>
</div>